%define name	OpenEXR
%define fname	openexr
%define version	1.7.1
%define	fver	1.7.1

%define major		7
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		%{name}
Summary:	A high dynamic-range (HDR) image file format
Version:	%{version}
Release:	%mkrel 2
Source:		https://github.com/downloads/openexr/openexr/%{fname}-%{fver}.tar.gz
URL:		http://www.openexr.com
License:	BSD
Group:		Graphics/Utilities
BuildRequires:	fltk-devel
BuildRequires:	ilmbase-devel

%description
Industrial Light & Magic developed the OpenEXR format in response to the demand
for higher color fidelity in the visual effects industry.

%package -n %{libname}
Summary:	Dynamic libraries from %name
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n %{develname}
Summary:	Header files and static libraries from %name
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%mklibname OpenEXR 4 -d

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n %{fname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# Remove doc files installed by make install, we package them in %files
rm -rf %{buildroot}%{_docdir}/%{name}-%{version}

%files
%doc AUTHORS ChangeLog NEWS README doc/*
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 345071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sun Dec 02 2012 fwang <fwang> 1.7.1-1.mga3
+ Revision: 324982
- new version 1.7.1

* Fri Jan 14 2011 mikala <mikala> 1.7.0-1.mga2
+ Revision: 18057
- Drop mdk macros
- Remove BuildRoot
- imported package OpenEXR

